(set-info :smt-lib-version 2.6)
(set-logic QF_BV)
(set-info :source | Generated by Roberto Bruttomesso |)
(set-info :category "crafted")
(set-info :status unsat)
(declare-fun a () (_ BitVec 8))
(declare-fun dummy () (_ BitVec 2))
(declare-fun b () (_ BitVec 8))

;      7 6 5 4 3 2 1 0
;
;
;      |---------| = c1
;   a [- - - - - - - -]
;          |---------| = c2
;
;
;
;          |-| = d1
;              |-| = d2
;   b [- - - - - - - -]
;      |-----| = d3
;              |-----| = d4
;
;            dummy[- -]
;
;
;  d1 != d2
;  c1 = d3 ++ dummy
;  c2 = dummy ++ d4
;

;
; a[7]a[6]a[5]a[4]a[3]a[2] ==
; b[7]b[6]b[5]b[4]d[1]d[0]
; 
; a[5]a[4]a[3]a[2]a[1]a[0] ==
; d[1]d[0]b[3]b[2]b[1]b[0]
;
;
;  a[7:6] = b[7:6]
;  a[5:4] = b[5:4]
;
;  a[3:2] = d[1:0]
;  a[5:4] = d[1:0]
;
;  a[3:2] = b[3:2]
;  a[2:1] = b[2:1]
;
;
;        \\
;     ====\\
;     ====//
;        //
;
; d[1:0]=a[3:2]=a[5:4]=b[3:2]=b[5:4]
;
;
; b[5:4] != a[5:4]
;



;
;
(assert
(and
  (not (= ((_ extract 5 4) b) ((_ extract 3 2) b)))
  (and
    (= ((_ extract 7 2) a) (concat ((_ extract 7 4) b) dummy))
    (= ((_ extract 5 0) a) (concat dummy ((_ extract 3 0) b)))
  )
)
)
(check-sat)


